/**
 * BinaryDataEncoding2.java
 *
 * File generated from the medication2::BinaryDataEncoding2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration BinaryDataEncoding2.
 *
 */

@XmlType(name = "BinaryDataEncoding")
@XmlEnum
@XmlRootElement(name = "BinaryDataEncoding2")
public enum BinaryDataEncoding2 {
	@XmlEnumValue("B64")
	B64("B64"),
	@XmlEnumValue("TXT")
	TXT("TXT");
	
	private final String value;

    BinaryDataEncoding2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static BinaryDataEncoding2 fromValue(String v) {
        for (BinaryDataEncoding2 c: BinaryDataEncoding2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
